import React, { Component } from "react";
import "../assets/stylesheets/footer.scss";
import { ReactComponent as DiscordSVG } from "../assets/svg/discord.svg";
import { ReactComponent as TwitterSVG } from "../assets/svg/twitter.svg";
import { ReactComponent as FacebookSVG } from "../assets/svg/facebook.svg";
import { ReactComponent as InstagramSVG } from "../assets/svg/instagram.svg";
import { ReactComponent as GithubSVG } from "../assets/svg/github.svg";

export default class Footer extends Component {
  render() {
    return (
      <div className="footer">
        <div className="footer__links">
          <ul>
            <li>
              <a
                href="https://discord.gg/GA6mvMEzSu"
                target="_blank"
                rel="noreferrer"
              >
                <DiscordSVG className="footer__links_svg"></DiscordSVG>
              </a>
            </li>
            <li>
              <a
                href="https://twitter.com/ILTech_Robotics"
                target="_blank"
                rel="noreferrer"
              >
                <TwitterSVG className="footer__links_svg"></TwitterSVG>
              </a>
            </li>
            <li>
              <a
                href="https://www.facebook.com/IllinoisTechRobotics/"
                target="_blank"
                rel="noreferrer"
              >
                <FacebookSVG className="footer__links_svg"></FacebookSVG>
              </a>
            </li>
            <li>
              <a
                href="https://www.instagram.com/illinoistechrobotics/"
                target="_blank"
                rel="noreferrer"
              >
                <InstagramSVG className="footer__links_svg"></InstagramSVG>
              </a>
            </li>
            <li>
              <a
                href="https://github.com/illinoistechrobotics"
                target="_blank"
                rel="noreferrer"
              >
                <GithubSVG className="footer__links_svg"></GithubSVG>
              </a>
            </li>
          </ul>
        </div>

        <div className="footer__toes">
          <ul className="footer__toes__links_left">
            <li>
              <a href="http://localhost:3000/about">About</a>
            </li>
            <li>
              <a href="http://localhost:3000/contact">Contact</a>
            </li>
          </ul>
          <a className="footer__toes_logo" href="http://localhost:3000/">
            ITR
          </a>
          <ul className="footer__toes__links_right">
            <li>
              <a href="http://localhost:3000/projects">Projects</a>
            </li>
            <li>
              <a href="http://localhost:3000/gallery">Gallery</a>
            </li>
          </ul>
        </div>
      </div>
    );
  }
}
